`timescale 10ns / 1ns

module tb;

// ---------------------------------------------------------------------
reg clock;
reg osc;
always #0.5 clock = ~clock;     // 100 Mhz
always #2.5 osc   = ~osc;       // Oscillator

initial begin clock = 1'b1; osc = 1'b1; #2000 $finish; end
initial begin $dumpfile("tb.vcd"); $dumpvars(0, tb); end
// ---------------------------------------------------------------------

always @(posedge osc) if (ready) address <= address + 1;

// ---------------------------------------------------------------------

wire [15:0] din;
reg  [ 8:0] address = 1'b0;
wire        ardin, arclk, drdout, drshft, ready;

ufmreader U1
(
    .osc        (osc),
    .read       (1'b1),
    .ready      (ready),
    .address    (address),
    .din        (din),
    .ardin      (ardin),
    .arclk      (arclk),
    .drclk      (drclk),
    .drshft     (drshft),
    .drdout     (drdout)
);

// ---------------------------------------------------------------------
// Эмуляция UFM модуля
// ---------------------------------------------------------------------

ufmemu U2
(
    .arclk      (arclk),
    .drclk      (drclk),
    .arshft     (1'b1),
    .ardin      (ardin),
    .drshft     (drshft),
    .drdout     (drdout)
);

endmodule
